Skip to main content
GET
List device conditions

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

condition_of
enum<string>

Filter by derivation domain.

  • operational_status - Operational status
  • health_status - Health status
  • none - None
Available options:
operational_status,
health_status,
none
decisive
boolean
device_id
string<uuid>[]

Multiple values may be separated by commas.

limit
integer

Number of results to return per page.

Required range: 1 <= x <= 500
page
integer

A page number within the paginated result set.

source
enum<string>

Filter by owning source.

  • ironic - Ironic
  • slurm - Slurm
  • health-status - Health status
  • google-custody - Google custody
  • nvlink-fabric - NVLink fabric
  • backend-fabric - Back-end fabric
Available options:
ironic,
slurm,
health-status,
google-custody,
nvlink-fabric,
backend-fabric
status
enum<string>

Filter by condition status.

  • True - True
  • False - False
  • Unknown - Unknown
Available options:
True,
False,
Unknown
type
enum<string>

Filter by condition type.

  • ProvisioningHealthy - Provisioning healthy
  • MaintenanceClear - Maintenance clear
  • Enrolled - Enrolled
  • InValidationPool - In validation pool
  • InstanceAllocated - Instance allocated
  • CustomerAllocated - Customer allocated
  • CustomerReady - Customer ready
  • SlurmMember - Slurm member
  • SlurmSchedulable - Slurm schedulable
  • TelemetryHealthy - Telemetry healthy
  • SystemHealthy - System healthy
  • ChassisHealthy - Chassis healthy
  • ProcessorHealthy - Processor healthy
  • MemoryHealthy - Memory healthy
  • StorageHealthy - Storage healthy
  • DiskHealthy - Disk healthy
  • PowerSupplyHealthy - Power supply healthy
  • GpuHealthy - GPU healthy
  • FpgaHealthy - FPGA healthy
  • CustodyIntent - Custody intent
  • FrontendPortsInCustomerVrf - Front-end ports in customer VRF
  • NvLinkGpusInRepairPartition - GPUs in NVLink repair partition
  • BackendPortsInMaintenanceVrf - Back-end ports in maintenance VRF
Available options:
ProvisioningHealthy,
MaintenanceClear,
Enrolled,
InValidationPool,
InstanceAllocated,
CustomerAllocated,
CustomerReady,
SlurmMember,
SlurmSchedulable,
TelemetryHealthy,
SystemHealthy,
ChassisHealthy,
ProcessorHealthy,
MemoryHealthy,
StorageHealthy,
DiskHealthy,
PowerSupplyHealthy,
GpuHealthy,
FpgaHealthy,
CustodyIntent,
FrontendPortsInCustomerVrf,
NvLinkGpusInRepairPartition,
BackendPortsInMaintenanceVrf

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"